# GNU Make project makefile autogenerated by Premake
ifndef config
  config=release
endif

ifndef verbose
  SILENT = @
endif

ifndef CC
  CC = gcc
endif

ifndef CXX
  CXX = g++
endif

ifndef AR
  AR = ar
endif

ifeq ($(config),release)
  OBJDIR     = .obju/gmake/Release
  TARGETDIR  = wxAdditions
  TARGET     = $(TARGETDIR)/libwxadditions.so
  DEFINES   += -DTIXML_USE_TICPP -DBUILD_DLL -DNDEBUG -DUNICODE -D_UNICODE -DwxUSE_UNICODE -D__WX__ -DWXUSINGDLL -D__WXGTK__
  INCLUDES  += -I../include -Isdk/tinyxml -Isdk/plugin_interface
  CPPFLAGS  += -MMD -MP $(DEFINES) $(INCLUDES)
  CFLAGS    += $(CPPFLAGS) $(ARCH) -Wall -O2 -fPIC -W -Wno-unknown-pragmas -Wno-deprecated -fno-strict-aliasing `wx-config --debug=no --cflags`
  CXXFLAGS  += $(CFLAGS) 
  LDFLAGS   += -s -shared -Wl,-soname,libwxadditions.so -Wl,-rpath,$$``ORIGIN `wx-config --libs std, gl` -Llib -L../lib -Lbin
  LIBS      += -lwx_gtk2u_plugin-interface-3.0 -lticpp -lwx_gtk2u_treelistctrl-3.0 -lwx_gtk2u_plotctrl-3.0 -lwx_gtk2u_things-3.0 -lwx_gtk2u_awx-3.0 -lwx_gtk2u_ledbargraph-3.0 -lwx_gtk2u_flatnotebook-3.0 -lpthread -ldl -lm -lrt
  RESFLAGS  += $(DEFINES) $(INCLUDES) 
  LDDEPS    += lib/libwx_gtk2u_plugin-interface-3.0.a lib/libticpp.a
  LINKCMD    = $(CXX) -o $(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(ARCH) $(LIBS)
  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

ifeq ($(config),debug)
  OBJDIR     = .obju/gmake/Debug
  TARGETDIR  = wxAdditions
  TARGET     = $(TARGETDIR)/libwxadditionsd.so
  DEFINES   += -DTIXML_USE_TICPP -DBUILD_DLL -DDEBUG -D_DEBUG -DUNICODE -D_UNICODE -DwxUSE_UNICODE -D__WX__ -D__WXDEBUG__ -DWXUSINGDLL -D__WXGTK__
  INCLUDES  += -I../include -Isdk/tinyxml -Isdk/plugin_interface
  CPPFLAGS  += -MMD -MP $(DEFINES) $(INCLUDES)
  CFLAGS    += $(CPPFLAGS) $(ARCH) -Wall -g -fPIC -W -Wno-unknown-pragmas -Wno-deprecated -fno-strict-aliasing `wx-config --debug=yes --cflags`
  CXXFLAGS  += $(CFLAGS) 
  LDFLAGS   += -shared -Wl,-soname,libwxadditionsd.so -Wl,-rpath,$$``ORIGIN `wx-config --debug=yes --libs std, gl` -Llib -L../lib -Lbin
  LIBS      += -lwx_gtk2ud_plugin-interface-3.0d -lticppd -lwx_gtk2u_treelistctrl-3.0 -lwx_gtk2u_plotctrl-3.0 -lwx_gtk2u_things-3.0 -lwx_gtk2u_awx-3.0 -lwx_gtk2u_ledbargraph-3.0 -lwx_gtk2u_flatnotebook-3.0 -lpthread -ldl -lm -lrt
  RESFLAGS  += $(DEFINES) $(INCLUDES) 
  LDDEPS    += lib/libwx_gtk2ud_plugin-interface-3.0d.a lib/libticppd.a
  LINKCMD    = $(CXX) -o $(TARGET) $(OBJECTS) $(LDFLAGS) $(RESOURCES) $(ARCH) $(LIBS)
  define PREBUILDCMDS
  endef
  define PRELINKCMDS
  endef
  define POSTBUILDCMDS
  endef
endif

OBJECTS := \
	$(OBJDIR)/wxAdditions.o \

RESOURCES := \

SHELLTYPE := msdos
ifeq (,$(ComSpec)$(COMSPEC))
  SHELLTYPE := posix
endif
ifeq (/bin,$(findstring /bin,$(SHELL)))
  SHELLTYPE := posix
endif

.PHONY: clean prebuild prelink

all: $(TARGETDIR) $(OBJDIR) prebuild prelink $(TARGET)
	@:

$(TARGET): $(GCH) $(OBJECTS) $(LDDEPS) $(RESOURCES)
	@echo Linking wxAdditions_Plugin
	$(SILENT) $(LINKCMD)
	$(POSTBUILDCMDS)

$(TARGETDIR):
	@echo Creating $(TARGETDIR)
ifeq (posix,$(SHELLTYPE))
	$(SILENT) mkdir -p $(TARGETDIR)
else
	$(SILENT) mkdir $(subst /,\\,$(TARGETDIR))
endif

$(OBJDIR):
	@echo Creating $(OBJDIR)
ifeq (posix,$(SHELLTYPE))
	$(SILENT) mkdir -p $(OBJDIR)
else
	$(SILENT) mkdir $(subst /,\\,$(OBJDIR))
endif

clean:
	@echo Cleaning wxAdditions_Plugin
ifeq (posix,$(SHELLTYPE))
	$(SILENT) rm -f  $(TARGET)
	$(SILENT) rm -rf $(OBJDIR)
else
	$(SILENT) if exist $(subst /,\\,$(TARGET)) del $(subst /,\\,$(TARGET))
	$(SILENT) if exist $(subst /,\\,$(OBJDIR)) rmdir /s /q $(subst /,\\,$(OBJDIR))
endif

prebuild:
	$(PREBUILDCMDS)

prelink:
	$(PRELINKCMDS)

ifneq (,$(PCH))
$(GCH): $(PCH)
	@echo $(notdir $<)
	-$(SILENT) cp $< $(OBJDIR)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"
endif

$(OBJDIR)/wxAdditions.o: wxAdditions.cpp
	@echo $(notdir $<)
	$(SILENT) $(CXX) $(CXXFLAGS) -o "$@" -c "$<"

-include $(OBJECTS:%.o=%.d)
